### Hierarchy

- HeaderItemInterface
  - SideNavItemInterface

## Index

### Properties

- active
- content
- href
- isSubMenu
- route
- routeExtras

## Properties

### Optional active

active: boolean

- Defined in src/ui-shell/sidenav/sidenav-item.interface.ts:5

### Optional content

content: string

Inherited from HeaderItemInterface.content

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:21

### Optional href

href: string

Inherited from HeaderItemInterface.href

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:18

### Optional isSubMenu

isSubMenu: boolean

- Defined in src/ui-shell/sidenav/sidenav-item.interface.ts:4

### Optional route

route: any[]

Inherited from HeaderItemInterface.route

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:19

### Optional routeExtras

routeExtras: any[]

Inherited from HeaderItemInterface.routeExtras

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:20

Generated using TypeDoc